BEGIN YASRA25J



IF ~Global("YasraenaPocketPlane","GLOBAL",1)~ THEN BEGIN YasraenaPocketPlane
SAY ~<CHARNAME>, during our time in Suldanessellar, Divalir strengthened Fireflower and Ironkiss so that I might better aid you in your continuing quest.~ [YASRA191]
IF ~~ THEN DO ~SetGlobal("YasraenaPocketPlane","GLOBAL",2)~
EXIT
END



IF ~Global("YSSendaiEnclaveTalk","GLOBAL",1)~ THEN BEGIN YSEnclaveTalk
SAY ~I am wary of being in this place. Even drow unknown to a renegade have an uncanny ability to spot a traitor when they see one.~ [YASRA192]
=
~Vel'bol orn doera del ussa ghil?~
IF ~~ THEN DO ~SetGlobal("YSSendaiEnclaveTalk","GLOBAL",2)~
EXIT
END



IF ~IsGabber(Player1)
CombatCounter(0)~ THEN BEGIN YasraenaChatsTOB
SAY ~(Your eyes fall on Yasraena, the renegade drow under your protection.)~
+ ~RandomNum(4,1)~ + ~Do you not fear retribution from the drow, Yasraena?~ + YasraenaRetributionTOB1
+ ~RandomNum(4,2)~ + ~Do you not fear retribution from the drow, Yasraena?~ + YasraenaRetributionTOB2
+ ~RandomNum(4,3)~ + ~Do you not fear retribution from the drow, Yasraena?~ + YasraenaRetributionTOB3
+ ~RandomNum(4,4)~ + ~Do you not fear retribution from the drow, Yasraena?~ + YasraenaRetributionTOB4

+ ~RandomNum(4,1)~ + ~Do you think that I am the one spoken of in Alaundo's prophecy?~ + YasraenaProphecyTOB1
+ ~RandomNum(4,2)~ + ~Do you think that I am the one spoken of in Alaundo's prophecy?~ + YasraenaProphecyTOB2
+ ~RandomNum(4,3)~ + ~Do you think that I am the one spoken of in Alaundo's prophecy?~ + YasraenaProphecyTOB3
+ ~RandomNum(4,4)~ + ~Do you think that I am the one spoken of in Alaundo's prophecy?~ + YasraenaProphecyTOB4

+ ~RandomNum(4,1)~ + ~What are you thinking about, Yasraena?~ + YasraenaThinkingTOB1
+ ~RandomNum(4,2)~ + ~What are you thinking about, Yasraena?~ + YasraenaThinkingTOB2
+ ~RandomNum(4,3)~ + ~What are you thinking about, Yasraena?~ + YasraenaThinkingTOB3
+ ~RandomNum(4,4)~ + ~What are you thinking about, Yasraena?~ + YasraenaThinkingTOB4

+ ~RandomNum(4,1)~ + ~You fled the drow world because of its evil, but surely there are some things you miss.~ + YasraenaMissTOB1
+ ~RandomNum(4,2)~ + ~You fled the drow world because of its evil, but surely there are some things you miss.~ + YasraenaMissTOB2
+ ~RandomNum(4,3)~ + ~You fled the drow world because of its evil, but surely there are some things you miss.~ + YasraenaMissTOB3
+ ~RandomNum(4,4)~ + ~You fled the drow world because of its evil, but surely there are some things you miss.~ + YasraenaMissTOB4

+ ~RandomNum(4,1)~ + ~Tell me about your family, Yasraena.~ + YasraenaFamilyTOB1
+ ~RandomNum(4,2)~ + ~Tell me about your family, Yasraena.~ + YasraenaFamilyTOB2
+ ~RandomNum(4,3)~ + ~Tell me about your family, Yasraena.~ + YasraenaFamilyTOB3
+ ~RandomNum(4,4)~ + ~Tell me about your family, Yasraena.~ + YasraenaFamilyTOB4

+ ~RandomNum(4,1)~ + ~If I fulfill my destiny, what will you do?~ + YasraenaDestinyTOB1
+ ~RandomNum(4,2)~ + ~If I fulfill my destiny, what will you do?~ + YasraenaDestinyTOB2
+ ~RandomNum(4,3)~ + ~If I fulfill my destiny, what will you do?~ + YasraenaDestinyTOB3
+ ~RandomNum(4,4)~ + ~If I fulfill my destiny, what will you do?~ + YasraenaDestinyTOB4

++ ~There's something wrong with you, Yasraena.~ + YasraenaChatFixerTOB

END

IF ~~ THEN BEGIN YasraenaRetributionTOB1
 SAY ~Always.~ [YASRA193]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaRetributionTOB2
 SAY ~Is it so obvious? Do I display such tension?~ [YASRA194]
 =
 ~Everyday I fear attack; I fear confrontation with my past.~
 =
 ~But more than that, I fear for those with whom I travel.~
 =
 ~If retribution comes, will you also have to pay for my betrayal?~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaRetributionTOB3
 SAY ~The drow have long memories, and when one such as I escapes them and evades their pursuit, their fury only increases.~ [YASRA195]
 =
 ~The drow may strike at any time, and so I sleep lightly.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaRetributionTOB4
 SAY ~Lolth cannot allow me to escape, for if I succeed, her power is weakened.~ [YASRA196]
 =
 ~Her people lose faith when one such as I scorns and blaphemes her and gets away with it.~
 =
 ~Her grip of fear is lessened, and that she cannot allow.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaProphecyTOB1
 SAY ~I know little of these prophecies. It was not considered an important part of my education.~ [YASRA197]
 =
 ~Any thought I might have would be a mere guess.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaProphecyTOB2
 SAY ~That is for you to decide. It would be quite presumptuous of me to give an opinion.~ [YASRA198]
 =
 ~I am drow and not a child of Bhaal.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaProphecyTOB3
 SAY ~And what if you are?~ [YASRA199]
 =
 ~Are you prepared to face your destiny?~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaProphecyTOB4
 SAY ~Prophecy is difficult to interpret.~ [YASRA200]
 =
 ~Perhaps it is nothing more than guidelines, and that true destiny is decided by the individual.~
 =
 ~Perhaps there is no such thing as fate, but that everything is a result of choice.~
 =
 ~Whatever the case may be, I know your destiny will be a great one, and the choices you make now will shape Faerun for ages to come.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaThinkingTOB1
 SAY ~Divalir.~ [YASRA201]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaThinkingTOB2
 SAY ~About how many more must die in this war of the children of Bhaal.~ [YASRA202]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaThinkingTOB3
 SAY ~About surfacers' irrational fear of spiders.~ [YASRA203]
 =
 ~As you know, spiders are revered in the drow culture, but one need not be a drow to appreciate them.~
 =
 ~Spiders are highly intelligent. They are not vicious, and few are dangerous. I have heard surface farmers praise them.~
 =
 ~And yet children are terrified by their appearance, thinking them grotesque when they are in fact beautiful.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaThinkingTOB4
 SAY ~Your story, <CHARNAME>. How will it end?~ [YASRA204]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaMissTOB1
 SAY ~<CHARNAME>, you understand me well.~ [YASRA205]
 =
 ~I miss the quiet.~
 =
 ~In the Underdark, there are no distracting, ambient noises.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaMissTOB2
 SAY ~Yes, it is evil, but it is my home.~ [YASRA206]
 =
 ~I miss the closeness of everything.  The cavern walls; the ceilings; the feeling of security, that I am not going to fall forever up into nothingness.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaMissTOB3
 SAY ~I miss speaking my mother tongue.~ [YASRA207]
 =
 ~There are times that I find it hard to express just what I feel in the Common speech.~
 =
 ~Often, I feel frustration in my inability to say *precisely* what I want to.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaMissTOB4
 SAY ~Though drow warriors are cruel and bloodthirsty, they make wonderful sparring partners.~ [YASRA208]
 =
 ~I miss the practice sessions I had with my classmates and the thrill of the grand melee.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaFamilyTOB1
 SAY ~What is there to say?~ [YASRA209]
 =
 ~My mother was matron of a noble house, but she does not deserve the title of "mother."~
 =
 ~I have seen surface mothers with their children. How they love and protect them! A mother would die for her children. She would do anything to keep her children from harm.~
 =
 ~And what has my mother done? She sacrificed her daughter to appease a false goddess who will, in time, betray her and hand her over to her enemies.~
 =
 ~And those enemies will most likely be one of her own daughters.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaFamilyTOB2
 SAY ~I have no family.~ [YASRA210]
 =
 ~A group of people living together who are highly suspicious of one another and are plotting ways to murder one another as a means of social advancement can hardly be called a family, can it?~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaFamilyTOB3
 SAY ~My family is powerful in Menzoberranzan, but my house is more like a guild than a home.~ [YASRA211]
 =
 ~If you have no special skills to contribute to the advancement of the guild, then you are not worthy of being a member.~
 =
 ~But you cannot be simply dismissed, as a member of a surface guild might be.~
 =
 ~You are murdered by the very people who raised you.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaFamilyTOB4
 SAY ~"Family" is a term used to describe a group of people living and working together in cooperation and love.~ [YASRA212]
 =
 ~I have no family, therefore, but when I return to Divalir, we will start one.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaDestinyTOB1
 SAY ~I will return to Divalir.~ [YASRA213]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaDestinyTOB2
 SAY ~If you choose rightly, I will rejoice for you, and then I will return to Suldanessellar and be married to Divalir.~ [YASRA214]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaDestinyTOB3
 SAY ~If you choose poorly, I will mourn you, and then I will return to Suldanessellar and be married to Divalir.~ [YASRA215]
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaDestinyTOB4
 SAY ~I pray I live to see the day that you find your destiny. You have helped me so much, and it is fitting that I aid you until your quest is concluded.~ [YASRA216]
 =
 ~But when it is done, there is but one thing I wish to do: return to Suldanessellar and be married to Divalir.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN YasraenaChatFixerTOB
  SAY ~I'll try to do something about that.~
  IF ~~ THEN DO ~StartCutScene("YSFIX")~ EXIT
END


INTERJECT_COPY_TRANS SARMEL01 46 YSYagaShura
== YASRA25J IF ~InParty("Yasraena")~ THEN
~Invincibility is illusion. He breathes, eats, sleeps, and lives here on Faerun. He is therefore not a god and can be slain.~
== SARMEL01
~Perhaps, but do not underestimate him.~
END



INTERJECT_COPY_TRANS FINSOL01 27 YSAscensionChoice
== YASRA25J IF ~InParty("Yasraena")~ THEN
~If you are content with your birth dictating your destiny, then choose godhood.~
END



INTERJECT_COPY_TRANS MARLOWE 34 YSMarlowe
== YASRA25J IF ~InParty("Yasraena")~ THEN
~You have sacrificed your daughter in true drow fashion.~
== MARLOWE
~(Marlowe does not dare to refute the accusation.)~
END



EXTEND_TOP SARVOLO 9
IF ~InParty("Yasraena")~ THEN REPLY ~Tell me about Yasraena.~ GOTO YasraenaVolo
END

CHAIN SARVOLO YasraenaVolo
~One of the most puzzling questions surrounding <CHARNAME> is why <PRO_HESHE> travels with a drow.~
=
~Admittedly, the drow Yasraena of the House of Arkhenneld is not a typical drow.~
=
~She is peerless in her mastery of weapons, and some say her heart is not so black as her face.~
=
~It is even said that she follows in the footsteps of Drizzt Do'urden, seeking a better reputation for the drow.~
== YASRA25J IF ~InParty("Yasraena")~ THEN ~That is not precisely right, loremaster. I seek nothing for the drow, nor do I seek anything for myself on the surface.~
=
~When once my debt is paid, I can return to the bliss I do not merit. But I would thank you not to speak of me at all.~
== SARVOLO
~Your enemies have a long reach.~
== YASRA25J
~Ves verve.~
EXTERN SARVOLO 9
